Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024672
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POStrivialalways2013-09-03 07:132013-09-10 09:58
ReportersureshbabuView Statuspublic 
Assigned Toguilleaer 
PrioritylowResolutionfixedFixed in VersionRMP26.1
StatusclosedFix in branchFixed in SCM revision823a04c51748
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024672: RMP26.1: User does not have privleges to approve the request

DescriptionUser privilege error message need to be fine tuned.
Steps To Reproduce1) In the ERP system navigate to Discounts and promotions window
2) The select disc_5_var_euro record
3) In the Definition section, check the Approval Request check box.
4) Then login to Web POS and create receipt with any product
5) Then from Drop down menu, select Receipt discount option and select "disc_5_var_euro" and check apply to all lines.
6) Then to complete the receipt, click complete button
7) In the Approval required popup
Enter user id as Openbravo
and password as openbravo
Then click Enter button
8) System throws an error message as
"User has not privileges to approve this action." but the message needs to be fine tuned like User does not have privileges to approve this action.

TagsNo tags attached.
Attached Filespng file icon User does not have privleges to approve the request.png [^] (260,177 bytes) 2013-09-03 07:13

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060894)
hgbot (developer)
2013-09-03 16:18

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c8613e4ccbe9d7a3835418de80fc96d9ab7d5312
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 03 15:45:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^]

fixed issue 24672: Corrected message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0060938)
hgbot (developer)
2013-09-05 14:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 823a04c51748ab4d19b335dd5bece59b7ebd3eef
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 03 15:45:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/823a04c51748ab4d19b335dd5bece59b7ebd3eef [^]

fixed issue 24672: Corrected message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0060945)
priyam (administrator)
2013-09-05 14:21

closing as status changed by RMP26.1 merge process
(0061017)
hgbot (developer)
2013-09-10 09:57

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: c8613e4ccbe9d7a3835418de80fc96d9ab7d5312
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 03 15:45:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^]

fixed issue 24672: Corrected message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0061028)
hgbot (developer)
2013-09-10 09:58

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 823a04c51748ab4d19b335dd5bece59b7ebd3eef
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 03 15:45:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/823a04c51748ab4d19b335dd5bece59b7ebd3eef [^]

fixed issue 24672: Corrected message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0061033)
guilleaer (developer)
2013-09-10 09:58

reclosed

- Issue History
Date Modified Username Field Change
2013-09-03 07:13 sureshbabu New Issue
2013-09-03 07:13 sureshbabu Assigned To => guilleaer
2013-09-03 07:13 sureshbabu File Added: User does not have privleges to approve the request.png
2013-09-03 07:13 sureshbabu Triggers an Emergency Pack => No
2013-09-03 16:18 hgbot Checkin
2013-09-03 16:18 hgbot Note Added: 0060894
2013-09-03 16:18 hgbot Status new => resolved
2013-09-03 16:18 hgbot Resolution open => fixed
2013-09-03 16:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^]
2013-09-03 18:00 marvintm Review Assigned To => marvintm
2013-09-03 18:00 marvintm Status resolved => closed
2013-09-03 18:00 marvintm Fixed in Version => RMP26.1
2013-09-05 14:19 hgbot Checkin
2013-09-05 14:19 hgbot Note Added: 0060938
2013-09-05 14:19 hgbot Status closed => resolved
2013-09-05 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/823a04c51748ab4d19b335dd5bece59b7ebd3eef [^]
2013-09-05 14:21 priyam Note Added: 0060945
2013-09-05 14:21 priyam Status resolved => closed
2013-09-10 09:57 hgbot Checkin
2013-09-10 09:57 hgbot Note Added: 0061017
2013-09-10 09:57 hgbot Status closed => resolved
2013-09-10 09:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/823a04c51748ab4d19b335dd5bece59b7ebd3eef [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^]
2013-09-10 09:58 hgbot Checkin
2013-09-10 09:58 hgbot Note Added: 0061028
2013-09-10 09:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/c8613e4ccbe9d7a3835418de80fc96d9ab7d5312 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/823a04c51748ab4d19b335dd5bece59b7ebd3eef [^]
2013-09-10 09:58 guilleaer Status resolved => closed
2013-09-10 09:58 guilleaer Note Added: 0061033


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker